Рейтинг@Mail.ru
[Войти] [Зарегистрироваться]

Наши друзья и партнеры

UnixForum
Беспроводные выключатели nooLite

Lines Club

Ищем достойных соперников.

Книги по Linux (с отзывами читателей)

Библиотека сайта или "Мой Linux Documentation Project"

На главную -> MyLDP -> Электронные книги по ОС Linux
Beyond Linux From Scratch. Version 2011-12-30
Назад 33. Основные пакеты GNOME. Платформа Вперед

Пакет libgnomecanvas-2.30.1

Знакомимся с пакетом libgnomecanvas

В пакете libgnomecanvas находится библиотека для работы canvas в GNOME. Эта библиотека представляет собой движком для работы со структурированными графическими объектами и является одной из основных библиотек GNOME.

Известно, что пакет правильно собирается и работает на платформе LFS-6.5.

Информация о пакете

Зависимости пакета libgnomecanvas

Обязательные

gtk+-2.24.8, Intltool-0.50.0 и libart_lgpl-2.3.21

Необязательные

GTK-Doc-1.18 и libglade-2.6.4

Замечания для пользователей: http://wiki.linuxfromscratch.org/blfs/wiki/libgnomecanvas

Установка пакета libgnomecanvas

Замечание

Инструкции, приведенные ниже, предназначены для установки пакета в среде GNOME-2. Если, по какой причине, вы устанавливаете этот пакет без установки пакета ORBit2 и базовых библиотек GNOME-2, вам необходимо изменить параметр --prefix= в скрипте configure с тем, чтобы он указывал желаемый путь установки (например, --prefix=/usr).

Установите пакет libgnomecanvas с помощью следующих команд:

./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &&
make

Для того, чтобы проверить результаты, выполните команду make check.

Теперь в роли пользователя root выполните:

make install

Пояснение команд

--prefix=$(pkg-config --variable=prefix ORBit-2.0): Установка префикса с помощью этого параметра, а не с помощью $GNOME_PREFIX будет гарантировать, что префикс будет установлен в соответствие со средой окружения и пакет будет установлен в нужном месте.

--enable-gtk-doc: Используйте этот параметр, если установлен пакет GTK-Doc и вы хотите пересобрать и установить документацию по API.

Описание пакета

Установленные программы: Нет

Установленные библиотеки: libgnomecanvas-2.{so,a}

Установленные директории: $GNOME_PREFIX/{include/libgnomecanvas-2.0/libgnomecanvas, share/gtk-doc/html/libgnomecanvas}

Перевод сделан с варианта оригинала, датированного 2010-08-16 08:55:45 +0000


Предыдущий раздел: Оглавление Следующий раздел:
Пакет libgnome-2.30.0   Пакет libbonoboui-2.24.3


Эта статья еще не оценивалась
Вы сможете оценить статью и оставить комментарий, если войдете или зарегистрируетесь.
Только зарегистрированные пользователи могут оценивать и комментировать статьи.

Комментарии отсутствуют